Class CoverallsClient
java.lang.Object
org.eluder.coveralls.maven.plugin.httpclient.CoverallsClient
- Direct Known Subclasses:
CoverallsProxyClient
The Class CoverallsClient.
-
Constructor Summary
ConstructorsConstructorDescriptionCoverallsClient(String coverallsUrl) Instantiates a new Coveralls Client.CoverallsClient(String coverallsUrl, HttpClient httpClient, com.fasterxml.jackson.databind.ObjectMapper objectMapper) Instantiates a new Coveralls Client. -
Method Summary
Modifier and TypeMethodDescriptionSubmit a coveralls json file to the API.
-
Constructor Details
-
CoverallsClient
Instantiates a new Coveralls Client.- Parameters:
coverallsUrl- The base url for the Coveralls API. This should generally be set tohttps://coveralls.io/api/v1/jobs
-
CoverallsClient
public CoverallsClient(String coverallsUrl, HttpClient httpClient, com.fasterxml.jackson.databind.ObjectMapper objectMapper) Instantiates a new Coveralls Client.- Parameters:
coverallsUrl- The base url for the Coveralls API. This should generally be set tohttps://coveralls.io/api/v1/jobshttpClient- An implementation ofHttpClientobjectMapper- A JacksonObjectMapper
-
-
Method Details
-
submit
public CoverallsResponse submit(File file) throws ProcessingException, IOException, InterruptedException Submit a coveralls json file to the API.- Parameters:
file- A coveralls report that can be submitted to the jobs API- Returns:
- An API response body deserialized to a
CoverallsResponse - Throws:
ProcessingException- the processing exceptionIOException- Signals that an I/O exception has occurred.InterruptedException- the interrupted exception
-